CPP=g++ -Wall -O3 -std=c++11

main: discr_calc/dem_discr pointset.o permutation.o halton.o search.o main.o
	$(CPP) pointset.o permutation.o halton.o search.o main.o -o $@

discr_calc/dem_discr:
	$(MAKE) -C discr_calc dem_discr

%.o: %.cpp
	$(CPP) -c $< -o $@

.PHONY: clean

clean:
	rm -f *.o discr_calc/*.o discr_calc/*_discr main
